use sea_orm_migration::prelude::*;

mod m20260213_000001_init;
mod m20260213_000002_invites;
mod m20260213_000003_channel_kind;
mod m20260213_000004_direct_messages;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20260213_000001_init::Migration),
            Box::new(m20260213_000002_invites::Migration),
            Box::new(m20260213_000003_channel_kind::Migration),
            Box::new(m20260213_000004_direct_messages::Migration),
        ]
    }
}
